"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.init = void 0;
const fs_1 = __importDefault(require("fs"));
const add_1 = require("./add");
const install_1 = require("./install");
function init() {
    const pkg = JSON.parse(fs_1.default.readFileSync('package.json', 'utf-8'));
    if (pkg.scripts !== undefined) {
        pkg.scripts.postinstall = 'husky install';
    }
    install_1.install();
    add_1.add('.husky/pre-commit', 'npm test');
    if (pkg.private !== true) {
        console.log(`⚠ if you're publishing your package to npm, you need to disable postinstall script using pinst.
see https://typicode.github.io/husky/#/?id=install
`);
    }
}
exports.init = init;
